Subject: bug#27505: acknowledged by developer (Re: bug#27505: LC_CTYPE affects tutorial language)

From: Leonard Lausen <[email-masked]>
Date: Sat, 5 Aug 2017 20:20:27 +0900

>> So I agree with the previous comment that LANG should take precedence
>> over LC_CTYPE with regards to the interface language. Not sure if the
>> current emacs implementation allows that change without affecting the
>> settings where LC_CTYPE does change precedence over LANG.
> 
> LANG never takes precedence over other LC_* values, it only serves as
> the default for them.  An interface that uses LC_CTYPE must ignore LANG
> when LC_CTYPE is set.

I agree that LC_CTYPE always takes precedence for the things that
LC_CTYPE defines according to the POSIX standard. However, as far as I
understand the display language is not defined by LC_CTYPE. LC_CTYPE
defines "Character classification and case conversion".

The closest would be LC_MESSAGES ("Formats of informative and diagnostic
messages and interactive responses."). I just tried, and for example vim
uses indeed LC_MESSAGES to decide on the interface language. So does
Chromium and KDE applications such as okular..